%define		_name		sylpheed
%define		_newname	claws-mail
%define		branch		claws
%define		cvs		cvs5
%def_disable 	debug
Name:	 	%_newname
Version:	3.6.1.%cvs
Release:	alt0.M40.1

Summary:	The bleeding edge branch of Sylpheed, a GTK+ based, lightweight, and fast e-mail client.	 
License: 	GPL
Group: 		Networking/Mail

Url:		http://%name.sourceforge.net

Source:		%name-%version.tar.bz2
Patch1:		%name-alt-filters-conv.patch
#Patch2:		%name-alt-ru-trans-mistakes.patch

# ALT Specific
#Patch110:	%name-alt-prefs_common.c.patch
Patch117:	%name-alt-gettext-fix.patch
Patch118:	claws-mail-2.10.0.cvs81-plugin.c-module-load-dirty-fix.patch

Obsoletes:	%_name-%branch < %version
Provides:	%_name-%branch
BuildPreReq:	autoconf-common cvs gettext-tools 

# Automatically added by buildreq on Mon Oct 13 2008
BuildRequires: flex gcc-c++ libSM-devel libcompface-devel libdbus-glib-devel libenchant-devel libetpan-devel libgnutls-devel libgpgme-devel libgtk+2-devel libldap-devel libpilot-link-devel libstartup-notification-devel

%description
Claws Mail is an email client (and news reader), based on GTK+, featuring

    Quick response
    Graceful, and sophisticated interface
    Easy configuration, intuitive operation
    Abundant features
    Extensibility

The appearance and interface are designed to be familiar to new users coming
from other popular email clients, as well as experienced users. Almost all commands
are accessible with the keyboard.

The messages are managed in the standard MH format, which features fast access
and data security. You'll be able to import your emails from almost any other email client,
and export them just as easily.

Lots of extra functionality, like an RSS aggregator, calendar, or laptop LED handling,
are provided by extra plugins.

Claws Mail is distributed under the GPL.

%package        devel
Summary:        Development environment for %name.
Group:          Development/C
Requires:	%name = %version-%release
Requires:	openssl-devel
Obsoletes:	%_name-%branch-devel < %version
Provides:	%_name-%branch-devel

%description 	devel
This package contains the header files and libraries for building program which
use %name.

%package	plugin-dillo
Summary:	dillo browser plugin for %name.
Group:		Networking/Mail
Requires:	%name = %version
Requires:	dillo
Obsoletes:	%_name-%branch-plugin-dillo < %version
Provides:	%_name-%branch-plugin-dillo

%description	plugin-dillo
dillo browser plugin for %name.

%package	plugin-spamassassin
Summary:	spamassassin plugin for %name.
Group:		Networking/Mail
Requires:	%name = %version
Requires:	spamassassin
Obsoletes:	%_name-%branch-plugin-spamassassin < %version
Provides:	%_name-%branch-plugin-spamassassin

%description	plugin-spamassassin
spamasassin plugin for %name.

%package	plugin-bogofilter
Summary:	bogofilter plugin for %name.
Group:		Networking/Mail
Requires:	%name = %version
Requires:	bogofilter bogofilter-utils
Obsoletes:	%_name-%branch-plugin-bogofilter < %version
Provides:	%_name-%branch-plugin-bogofilter

%description	plugin-bogofilter
bogofilter plugin for %name.

%package	plugin-trayicon
Summary:	trayicon plugin for %name.
Group:		Networking/Mail
Requires:	%name = %version
Obsoletes:	%_name-%branch-plugin-trayicon < %version
Provides:	%_name-%branch-plugin-trayicon

%description	plugin-trayicon
trayicon plugin for %name.

%package	plugin-pgpcore
Summary:	pgpcore plugin for %name.
Group:		Networking/Mail
Requires:	%name = %version
Obsoletes:	%_name-%branch-plugin-pgpcore < %version
Provides:	%_name-%branch-plugin-pgpcore

%description	plugin-pgpcore
pgpcore plugin for %name.

%package	plugin-pgpmime
Summary:	pgpmime plugin for %name.
Group:		Networking/Mail
Requires:	%name = %version
Requires:	%name-plugin-pgpcore = %version
Obsoletes:	%_name-%branch-plugin-pgpmime < %version
Provides:	%_name-%branch-plugin-pgpmime

%description	plugin-pgpmime
pgpmime plugin for %name.

%package	plugin-pgpinline
Summary:	pgpinline plugin for %name.
Group:		Networking/Mail
Requires:	%name = %version
Requires:	%name-plugin-pgpcore = %version
Obsoletes:	%_name-%branch-plugin-pgpinline < %version
Provides:	%_name-%branch-plugin-pgpinline

%description	plugin-pgpinline
pgpinline plugin for %name.

%package	tools
Summary:	additional tools for %name.
Group:		Networking/Mail
Requires:	%name = %version
Requires:       python
BuildRequires:  python
BuildRequires:	python-modules-encodings
BuildPreReq:	perl-MIME-tools
BuildPreReq:	perl-Text-Iconv
BuildPreReq:	perl-XML-SimpleObject
BuildPreReq:	perl-URI
BuildPreReq: 	perl-libwww
BuildPreReq: 	perl-Text-CSV_XS
Obsoletes:	%_name-%branch-tools < %version
Provides:	%_name-%branch-tools

%description	tools
additional tools for %name.

%prep
%setup -q -n  %_name-%branch

%__subst "s,\#\!/usr/bin/python2.2,\#\!/usr/bin/python," tools/vcard2xml.py 
%__subst "s,\#\!/usr/bin/perl,\#\!/usr/bin/perl -w," tools/OOo2claws-mail.pl
%__subst "s,sylpheed,sylpheed-claws," tools/OOo2claws-mail.pl
%__subst "s,%%f,%%N," ./src/prefs_quote.c

%__subst "s,AC_PREREQ(2.60),dnl AC_PREREQ(2.60)," configure.ac
%__subst "s,AM_GNU_GETTEXT_VERSION(\[0.15\]),AM_GNU_GETTEXT_VERSION(\[0.14\])," configure.ac

%patch1 -p1

%patch117 -p1
%patch118 -p1

%autoreconf

%build
%configure 	--disable-rpath \
		--with-lib-prefix=%_usr \
		--with-aspell-includes=%_includedir \
		--with-aspell-libs=%_libdir \
		--with-faqdir=%_datadir/%name \
		--with-manualdir=%_datadir/%name \
		--with-config-dir=.%name \
		--disable-manual \
		%if_enabled debug
		--enable-crash-dialog
		%else
		--disable-crash-dialog
		%endif
%make_build
%make -C tools

%install
%make DESTDIR=%buildroot install
%make -C tools install

%__mkdir_p %buildroot%_datadir/%name/
%__cp -va  tools %buildroot%_datadir/%name/
%__rm -vf  %buildroot%_datadir/%name/tools/README*
%__rm -vf  %buildroot%_datadir/%name/tools/Makefile*
%__mkdir_p %buildroot%_datadir/applications
%__install -p -m644 %_newname.desktop %buildroot%_datadir/applications

%__mkdir_p %buildroot/%_iconsdir
%__install -p -m644 %_newname.png %buildroot/%_iconsdir/%_newname.png
%__mkdir_p %buildroot%_datadir/pixmaps
%__ln_s %_iconsdir/%_newname.png %buildroot%_datadir/pixmaps

%__mkdir_p %buildroot%_sysconfdir/rpm/macros.d
cat << EOF >  %buildroot%_sysconfdir/rpm/macros.d/%name
%%_claws_version	%version
EOF

%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog* COPYING INSTALL NEWS README* TODO* RELEASE_NOTES 
%_bindir/%name
%_bindir/%_name-%branch
%_man1dir/%_newname.1.gz
%_datadir/applications/%_newname.desktop
%_iconsdir/%_newname.png
%_iconsdir/hicolor/48x48/apps/%_newname.png
%_datadir/pixmaps/%_newname.png

%files devel
%_includedir/%_newname/*
%_libdir/pkgconfig/%_newname.pc
%_sysconfdir/rpm/macros.d/%name

%files plugin-dillo
%_libdir/%_newname/plugins/dillo_viewer.so

%files plugin-spamassassin
%_libdir/%_newname/plugins/spamassassin.so

%files plugin-bogofilter
%_libdir/%_newname/plugins/bogofilter.so

%files plugin-trayicon
%_libdir/%_newname/plugins/trayicon.so

%files plugin-pgpcore
%_libdir/%_newname/plugins/pgpcore.so

%files plugin-pgpmime
%_libdir/%_newname/plugins/pgpmime.so

%files plugin-pgpinline
%_libdir/%_newname/plugins/pgpinline.so

%files tools
%doc tools/README*
%_datadir/%name/tools/*

%post
%update_menus

%postun
%clean_menus

%changelog
* Tue Oct 14 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.6.1.cvs5-alt0.M40.1
-  backport to 4.0;
-  disable NetworkManager support (isn't present in 4.0);
-  probably incorrect TLS support (sorry, too old GnuTLS);
-  back to patch117 (remove GNU gettext version check).

* Mon Oct 13 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.6.1.cvs5-alt1.1
-  build with new libgnutls (libgnutls-new).

* Mon Oct 13 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.6.1.cvs5-alt1
-  Remove OpenSSL code (upstream);
-  BuildReq actualization.

* Sat Oct 11 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.6.1.cvs3-alt1
-  some ssl fixes (upstream).

* Fri Oct 10 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.6.1-alt1
-  3.6.1;
-  use gnutls instead of openssl.

* Mon Oct 06 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.6.0.cvs7-alt1
-  3.6.0.

* Mon Aug 11 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.5.0.cvs57-alt1
-  3.5.0.

* Mon May 19 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.4.0.cvs51-alt1
-  3.4.0.cvs51; 
-  build with networkmanager support.

* Thu Apr 24 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.4.0.cvs10-alt1
-  3.4.0.

* Mon Mar 31 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.3.1.cvs47-alt1
-  fix segfault if /home is full (upstream);
-  add support for png themes (upstream);
-  learn bogofilter from whitelist (upstream).

* Tue Mar 18 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.3.1.cvs30-alt1
-  3.3.1.

* Mon Feb 11 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.3.0.cvs5-alt1
-  3.3.0;
-  remove clamav plugin (upstream, see ChangeLog);
-  remove "kostyli" for old autotools. 

* Thu Jan 10 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.2.0.cvs34-alt1
-  3.2.0.

* Fri Nov 23 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.1.0.cvs26-alt1
-  3.1.0;
-  #13127 fix.

* Thu Oct 11 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.0.2.cvs57-alt1
-  lots of bugfixes (upstream).

* Fri Oct 05 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.0.2.cvs13-alt1
-  3.0.2.

* Thu Sep 27 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.0.1.cvs35-alt1
-  3.0.1;
-  remove russian translation mistakes patch.

* Fri Aug 24 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.10.0.cvs158-alt1
-  security fixes (POP3 Format String Vulnerability, CVE is unpublished now), 10x to ldv@.
-  #9685 fix. 10x to naf@ and ktirf@.

* Thu Aug 16 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.10.0.cvs125-alt1
-  bugfixes.

* Fri Aug 03 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.10.0.cvs81-alt2
-  dirty fix for load modules with invalid license.

* Tue Jul 31 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.10.0.cvs81-alt1
-  2.10.0.cvs81.

* Wed Jul 25 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.10.0.cvs62-alt1
-  2.10.0.

* Fri May 11 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.9.2.cvs5-alt1
-  2.9.2.

* Thu Apr 19 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.9.1.cvs1-alt1
-  2.9.1.

* Wed Mar 21 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.8.1.cvs27-alt1
-  2.8.1.

* Mon Feb 05 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.7.2.cvs22-alt1
-  build with libSM;
-  all patches for tools package has been removed (10x to upstream :)).

* Mon Jan 29 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.7.2.cvs4-alt1
-  2.7.2;
-  build with jPilot support;
-  trayicon plugin improvements.

* Thu Jan 25 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.7.1.cvs55-alt1
-  2.7.1.cvs55.

* Fri Jan 19 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.7.1.cvs32-alt1
-  2.7.1.cvs32.

* Wed Jan 17 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.7.1.cvs11-alt1
-  2.7.1.

* Thu Jan 11 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.7.0.cvs6-alt1
-  2.7.0.

* Fri Dec 15 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.6.1.cvs37-alt1
-  2.6.1.cvs37. bugfixes.

* Mon Dec 04 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.6.1.cvs1-alt1
-  2.6.1.

* Wed Nov 29 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.6.0.cvs65-alt1
-  2.6.0cvs65.
-  name changed to claws-mail.
-  patch 117 added (locale support fix).

* Wed Oct 25 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.5.6.cvs6-alt1
-  2.5.6.

* Thu Sep 28 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.5.2.cvs12-alt1
-  2.5.2.

* Tue Sep 26 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.5.1.cvs1-alt1
-  2.5.1

* Tue Sep 19 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.4.0.cvs198-alt1
-  lots of bugfixes.

* Wed Sep 06 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.4.0.cvs152-alt1
-  2.4.0.cvs152.
-  new bogofilter plugin.

* Mon Aug 28 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.4.0.cvs102-alt1
- 2.4.0.cvs102.
- require autoconf 2.60.

* Fri Aug 11 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.4.0.cvs40-alt1
-  2.4.0. bugfix.

* Wed Aug 09 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.4.0.cvs34-alt1
-  2.4.0.

* Mon Jun 26 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.3.1.cvs20-alt1
-  2.3.1.

* Mon Jun 19 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.3.0.cvs22-alt1
-  2.3.0.

* Mon Jun 05 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.2.1.cvs1-alt1
-  2.2.1.

* Tue May 30 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.2.0.cvs66-alt1
-  much more speed-up :)

* Wed May 24 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.2.0.cvs52-alt1
-  more speed-up for folder operations.

* Tue May 23 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.2.0.cvs47-alt1
-  speed-up folder operations.

* Fri May 19 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.2.0.cvs35-alt1
-  2.2.0

* Wed Apr 12 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.1.0.cvs32-alt1
-  2.1.0.cvs32. bugfixes.

* Wed Apr 12 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.1.0.cvs24-alt1
- 2.1.0 

* Tue Mar 28 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.0.0.cvs178-alt1
-  2.0.0.cvs178. bugfixes. 

* Mon Mar 20 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.0.0.cvs158-alt1
-  2.0.0.cvs158;
-  build with libetpan 0.43.

* Fri Feb 10 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.0.0.cvs41-alt1
-  2.0.0.cvs41.
-  fixes in tools.

* Tue Feb 07 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.0.0.cvs26-alt1
-  improve perfomance.

* Thu Feb 02 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.0.0.cvs8-alt1
-  2.0.0.cvs8.

* Tue Jan 31 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.0.0.cvs2-alt1
-  2.0.0.

* Mon Jan 16 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.9.100.cvs157-alt1
-  cvs157. HIG'ify.

* Fri Dec 16 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.9.100.cvs93-alt1
-  1.9.100.cvs93.
-  fixes for menu.

* Wed Dec 07 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.9.100.cvs71-alt1
-  1.9.100.cvs71.

* Thu Nov 17 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.9.100.cvs15-alt1
-  1.9.100.cvs15. bugfixes.

* Wed Nov 09 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.9.100.cvs4-alt1
-  1.9.1.

* Fri Oct 28 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.9.15.cvs124-alt1
-  cvs124.
-  temporary disabled tools patches (google, freshmeat and sf search).

* Tue Oct 18 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.9.15.cvs71-alt1
-  1.9.15.cvs71.

* Fri Oct 14 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.9.15.cvs44-alt1
-  1.9.15.cvs44.

* Wed Oct 12 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.9.15.cvs30-alt1
-  1.9.15.cvs30.
-  build for altlinux sisyphus.



